import TerserPlugin = require("terser-webpack-plugin");
import MiniCssExtractPlugin = require("mini-css-extract-plugin");
export const mode: string;
export const entry: {
    'react-awesome-button-server': string[];
};
export namespace output {
    const path: string;
    const filename: string;
    const libraryTarget: string;
    const library: string;
    const globalObject: string;
}
export namespace resolve {
    namespace alias {
        const components: string;
        const examples: string;
        const helpers: string;
        const src: string;
        const dist: string;
    }
}
export namespace module {
    const rules: ({
        test: RegExp;
        exclude: RegExp;
        loader: string;
        options: {
            presets: string[];
        };
        use?: undefined;
    } | {
        test: RegExp;
        use: (string | {
            loader: string;
            options?: undefined;
        } | {
            loader: string;
            options: {
                modules: boolean;
                localIdentName: string;
            };
        })[];
        exclude?: undefined;
        loader?: undefined;
        options?: undefined;
    })[];
}
export namespace optimization {
    const minimize: boolean;
    const minimizer: TerserPlugin<import("terser").MinifyOptions>[];
}
export const plugins: MiniCssExtractPlugin[];
